Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/orders/{order_id}/events

List Order Events

Get order events/timeline

GET

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
order_idYesNot specified
Description: Identifier for order.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "order_id": 1,
  "event_type": "string",
  "message": "string",
  "visibility": "string",
  "user_id": 1,
  "user_name": "string",
  "customer_notified": "string",
  "metadata": "string",
  "created_at": "2026-01-01T00:00:00Z"
}

Errors

404 not_found

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified